/* 
Тестировалось на Arduino IDE 1.8.5
Дата тестирования 22.05.2020г.
*/

#include <AFMotor.h>      // Подключаем библиотеку AFMotor
AF_DCMotor motor(4);      // Указываем какому порту подключен двигатель (1 - 4)

void setup() 
{
  motor.setSpeed(200);    // Начальная скорость вращения
  motor.run(RELEASE);     // Останавливаем двигатель
}

void loop() 
{
  uint8_t i;              // Создаем переменную "i"
  motor.run(FORWARD);     // Вращение двигателя вперед
 
  for (i=0; i<255; i++)   // Ускоряем двигатель от 0 до 255
  {
    motor.setSpeed(i);    // Отправка скорости
    delay(10);            // Пауза
  }
  for (i=255; i!=0; i--)  // Замедляем двигатель от 255 до 0
  { 
    motor.setSpeed(i);    // Отправка скорости
    delay(10);            // Пауза
  }

  motor.run(BACKWARD);    // Вращение двигателя назад

  for (i=0; i<255; i++)   // Ускоряем двигатель от 0 до 255
  {
    motor.setSpeed(i);    // Отправка скорости
    delay(10);            // Пауза
  }
  for (i=255; i!=0; i--)  // Замедляем двигатель от 255 до 0
  { 
    motor.setSpeed(i);    // Отправка скорости
    delay(10);            // Пауза
  }

  motor.run(RELEASE);     // Останавливаем двигатель
  delay(1000);            // Пауза
}
